
registerType('appdoo.Editor', (function () { function OutlineWindow() {} var __super = setSupertypeFromDomain(OutlineWindow, 'Window', 'Core.UI');

OutlineWindow.prototype.initFromData = function OutlineWindow_initFromData(data) {
		__super.prototype.initFromData.call(this, data);
		this.view.$id = 'hoho';};
	

// role OutlineViewDelegate (Core.UI) 

OutlineWindow.prototype.outlineViewDidChange = function OutlineWindow_outlineViewDidChange(outlineView) {

			var height;
			
			if (outlineView.subviews.length) {
				var lastRow = outlineView.subviews[outlineView.subviews.length-1];
				height = lastRow.position.top+lastRow.size.height+1;
			}
			else {
				height = 50;
			}
			
			this.contentSize = {
				width: this.contentSize.width,
				height: height
			};};
		
		
OutlineWindow.prototype.outlineViewSelectionDidChange = function OutlineWindow_outlineViewSelectionDidChange(outlineView) {};
		

OutlineWindow.prototype.outlineViewDidExpandItem = function OutlineWindow_outlineViewDidExpandItem(outlineView, item) {
			this.outlineViewDidChange(outlineView);};
		

OutlineWindow.prototype.outlineViewDidCollapseItem = function OutlineWindow_outlineViewDidCollapseItem(outlineView, item) {
			this.outlineViewDidChange(outlineView);};
		
		
	

OutlineWindow.prototype.expectedTypeForProperty = function OutlineWindow_expectedTypeForProperty(key) {
	if (__super) return __super.prototype.expectedTypeForProperty(key);
};

return OutlineWindow; }()));